:host {
  display: flex;
  flex-direction: column;
  text-align: center;
  margin: 0 !important;
  padding: 0 !important;
  height: 100%;
}

[flexcontainer]{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

[keys]{
  overflow: hidden;
  flex: 1;
  height: 100%;
  text-align: left;
  section[conf] {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    overflow: hidden;
    width: 100%;
    padding: 1em;
  }
  section[conf]:hover {
    overflow: auto;
  }
  section[rs] {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    overflow: hidden;
    width: 100%;
    padding: 1em;
  }
  section[rs]:hover {
    overflow: auto;
  }
}
[keys]:hover {
  overflow: auto;
}

[keytable] {
  overflow: hidden;
  width: calc(100% - 2em); // factor in margin
  /* align: center; */
  border-collapse: collapse;
  margin: 1em;
}
[keytable]:hover {
  overflow: auto;
}

th, td {
  border-bottom: #{"1px solid rgba(var(--primary-text-color-rgb), var(--divider-opacity))"};
  padding: 0.4em;
  width: auto;
}
th {
  font-size: 1.2em;
  text-align: left;
  opacity: var(--secondary-text-opacity);
  font-weight: normal;
}

td {
  font-size: 1.3em;
  text-align: left;
  overflow: hidden;
}
td:hover {
  overflow-x: auto;
}

[system] {
  opacity: var(--dark-disabled-opacity);
  font-size: 1.0em;
}

[syscolumn] {
  width: 15%;
}

p {
  margin: 0;
  font-size: 1.2em;
  padding: 0.4em;
  &[title] {
    border-top: #{"1px solid rgba(var(--primary-text-color-rgb), var(--divider-opacity))"};
    opacity: var(--dark-disabled-opacity);
    font-size: 1.0em;
    padding-bottom: 0.1em;
    padding-top: 0.5em;
  };
  &[key] {
    /* font-weight: bold; */
    padding-top: 0em;
    font-size: 1.3em;
  }
  &[header] {
    border-top: #{"1px solid rbga(var(--primary-text-color-rgb), var(--divider-opacity))"};
    opacity: var(--secondary-text-opacity);
  }
}
